package com.pcloud.book.group.entity;


import com.pcloud.common.entity.BaseEntity;

/**
 * @author lily
 * @date 2019/4/30 11:09
 */
public class BookQrcodeUser extends BaseEntity {

    private Long id;

    private Long wechatUserId;

    private Long classifyId;

    private Long groupQrcodeId;

    private Long createUser;

    //(1-rays,2-heals)
    private Integer fromType;

    public Integer getFromType() {
        return fromType;
    }

    public void setFromType(Integer fromType) {
        this.fromType = fromType;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    @Override
    public String toString() {
        return "BookQrcodeUserDao{" +
                "id=" + id +
                ", wechatUserId=" + wechatUserId +
                ", classifyId=" + classifyId +
                ", groupQrcodeId=" + groupQrcodeId +
                ", createUser=" + createUser +
                '}';
    }
}
